| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
NTuple::TupleImp Class Reference

`#include <GaudiKernel/NTupleImplementation.h>`

Inheritance diagram for NTuple::TupleImp:
[legend]
Collaboration diagram for NTuple::TupleImp:
[legend]

## Public Member Functions
INTupleItem * | i_find (const std::string &name) const override
| Internally used by abstract classes. More...
| TupleImp (std::string title)
| Standard Constructor. More...
| ~TupleImp () override
| Standard Destructor. More...
ItemContainer & | items () override
| Access item container. More...
const ItemContainer & | items () const override
| Access item container (CONST) More...
const std::string & | title () const override
| Object title. More...
const INTupleItem * | find (const std::string &name) const override
| Find an item row of the Ntuple (CONST) More...
INTupleItem * | find (const std::string &name) override
| Find an item row of the Ntuple. More...
char * | buffer () override
| Access N tuple data buffer. More...
const char * | buffer () const override
| Access N tuple data buffer (CONST) More...
IConversionSvc * | conversionService () const
| Access conversion service. More...
void | setConversionService (IConversionSvc *svc)
| Access conversion service. More...
INTupleSvc * | tupleService () const
| Access conversion service. More...
void | setTupleService (INTupleSvc *svc)
| Access conversion service. More...
StatusCode | attachSelector (ISelectStatement *sel) override
| Attach selector. More...
ISelectStatement * | selector () override
| Access selector. More...
virtual char * | setBuffer (std::unique_ptr< char[]> &&buff)
| Set N tuple data buffer. More...
char * | setBuffer (char *buff) override
| Set N tuple data buffer. More...
void | reset () override
| Reset all entries to their default values. More...
StatusCode | add (INTupleItem *item) override
| Add an item row to the N tuple. More...
StatusCode | remove (INTupleItem *item) override
| Remove an item row (identified by pointer) from the N tuple. More...
StatusCode | remove (const std::string &name) override
| Remove an item row (identified by name) from the N tuple. More...
StatusCode | write () override
| Write record of the NTuple (Shortcut of writeRecord) More...
StatusCode | writeRecord () override
| Write record of the NTuple. More...
StatusCode | read () override
| Read record of the NTuple (Shortcut of readRecord) More...
StatusCode | readRecord () override
| Read record of the NTuple. More...
StatusCode | save () override
| Save the NTuple. More...
Public Member Functions inherited from NTuple::Tuple
| ~Tuple () override=default
| Standard destructor. More...
template<class TYPE >
StatusCode | item (const std::string &name, Item< TYPE > &result)
| Locate a scalar Item of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | item (const std::string &name, const Item< TYPE > &result) const
| Locate a scalar Item of data to the N tuple type safe (CONST) More...
template<class TYPE >
StatusCode | item (const std::string &name, Array< TYPE > &result)
| Locate a Array of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | item (const std::string &name, const Array< TYPE > &result) const
| Locate a Array of data to the N tuple type safe (CONST) More...
template<class TYPE >
StatusCode | item (const std::string &name, Matrix< TYPE > &result)
| Locate a Matrix of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | item (const std::string &name, const Matrix< TYPE > &result) const
| Locate a Matrix of data to the N tuple type safe (CONST) More...
template<class TYPE >
StatusCode | addItem (const std::string &name, Item< TYPE > &itm)
| Add a scalar data item a N tuple. More...
template<class TYPE >
StatusCode | addItem (const std::string &name, Item< TYPE * > &itm)
| Add an simple object item to an N tuple. More...
StatusCode | addItem (const std::string &name, Item< IOpaqueAddress * > &itm)
| Add an address object item to an N tuple: specialized call. More...
template<class TYPE , class RANGE >
StatusCode | addItem (const std::string &name, Item< TYPE > &itm, const RANGE low, const RANGE high)
| Add a scalar data item a N tuple with a range. More...
template<class TYPE >
StatusCode | addItem (const std::string &name, long dim, Array< TYPE > &array)
| Add an fixed-size Array of data to a column wise N tuple. More...
template<class TYPE , class RANGE >
StatusCode | addItem (const std::string &name, long dim, Array< TYPE > &array, const RANGE low, const RANGE high)
| Add an fixed-size Array of data to a column wise N tuple with a range. More...
template<class TYPE , class INDEX , class RANGE >
StatusCode | addItem (const std::string &name, Item< INDEX > &index, Array< TYPE > &array, const RANGE low, const RANGE high)
| Add an indexed Array of data to a column wise N tuple with a range. More...
template<class TYPE , class INDEX , class RANGE >
StatusCode | addIndexedItem (const std::string &name, Item< INDEX > &index, Array< TYPE > &array, const RANGE low, const RANGE high)
| Add an indexed Array of data to a column wise N tuple with a range. More...
template<class TYPE , class INDEX >
StatusCode | addItem (const std::string &name, Item< INDEX > &index, Array< TYPE > &array)
| Add an indexed Array of data to a column wise N tuple. More...
template<class TYPE , class INDEX >
StatusCode | addIndexedItem (const std::string &name, Item< INDEX > &index, Array< TYPE > &array)
| Add an indexed Array of data to a column wise N tuple. More...
template<class TYPE >
StatusCode | addItem (const std::string &name, long cols, long rows, Matrix< TYPE > &matrix)
| Add an fixed size Matrix of data to a column wise N tuple. More...
template<class TYPE , class RANGE >
StatusCode | addItem (const std::string &name, long cols, long rows, Matrix< TYPE > &result, const RANGE low, const RANGE high)
| Add an fixed size Matrix of data to a column wise N tuple. More...
template<class TYPE , class INDEX >
StatusCode | addItem (const std::string &name, Item< INDEX > &index, Matrix< TYPE > &matrix, long rows)
| Add an variable size Matrix of data to a column wise N tuple. More...
template<class TYPE , class INDEX >
StatusCode | addIndexedItem (const std::string &name, Item< INDEX > &col_index, long rows, Matrix< TYPE > &matrix)
| Add an variable size Matrix of data to a column wise N tuple. More...
template<class TYPE , class INDEX , class RANGE >
StatusCode | addItem (const std::string &name, Item< INDEX > &index, Matrix< TYPE > &matrix, long rows, const RANGE low, const RANGE high)
| Add an variable size Matrix of data to a column wise N tuple. More...
template<class TYPE , class INDEX , class RANGE >
StatusCode | addIndexedItem (const std::string &name, Item< INDEX > &index, long rows, Matrix< TYPE > &matrix, const RANGE low, const RANGE high)
| Add an variable size Matrix of data to a column wise N tuple. More...
Public Member Functions inherited from DataObject
| DataObject ()
| Standard Constructor. More...
| DataObject (const DataObject &rhs)
| Copy Constructor. More...
DataObject & | operator= (const DataObject &rhs)
| Assignment Operator. More...
| DataObject (DataObject &&rhs)
| Move Constructor. More...
DataObject & | operator= (DataObject &&rhs)
| Move Assignment Operator. More...
virtual | ~DataObject ()
| Standard Destructor. More...
virtual unsigned long | addRef ()
| Add reference to object. More...
virtual unsigned long | release ()
| release reference to object More...
virtual const CLID & | clID () const
| Retrieve reference to class definition structure. More...
const std::string & | name () const
| Retreive DataObject name. It is the name when registered in the store. More...
virtual StatusCode | update ()
| Provide empty placeholder for internal object reconfiguration callback. More...
void | setRegistry (IRegistry *pRegistry)
| Set pointer to Registry. More...
IRegistry * | registry () const
| Get pointer to Registry. More...
LinkManager * | linkMgr () const
| Retrieve Link manager. More...
unsigned char | version () const
| Retrieve version number of this object representation. More...
void | setVersion (unsigned char vsn)
| Set version number of this object representation. More...
unsigned long | refCount () const
| Return the refcount. More...
virtual std::ostream & | fillStream (std::ostream &s) const
| Fill the output stream (ASCII) More...
Public Member Functions inherited from INTuple
virtual | ~INTuple ()=default

## Protected Attributes
ItemContainer | m_items
| Container with N tuple _Columns. More...
bool | m_isBooked = false
| Flag wether N tuple is booked. More...
std::string | m_title
| N tuple title. More...
SmartIF< ISelectStatement > | m_pSelector
| Possibly hanging selector. More...
std::unique_ptr< char[]> | m_buffer
| Buffer. More...
INTupleSvc * | m_ntupleSvc = nullptr
| Reference to N-tuple service used. More...
IConversionSvc * | m_cnvSvc = nullptr
| Reference to the conversion service used. More...

## Private Member Functions
| TupleImp (const TupleImp &)=delete
| Standard Copy Constructor. More...

## Additional Inherited Members
Public Types inherited from INTuple
typedef std::vector< INTupleItem * > | ItemContainer
Static Public Member Functions inherited from DataObject
static const CLID & | classID ()
| Retrieve reference to class definition structure (static access) More...
Protected Member Functions inherited from NTuple::Tuple
template<class TYPE >
StatusCode | i_item (const std::string &name, _Item< TYPE > *&result) const
| Locate a _Column of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | i_item (const std::string &name, _Item< TYPE * > *&result) const
| Locate a _Column of data to the N tuple type unsafe for objects. More...
StatusCode | i_item (const std::string &name, _Item< IOpaqueAddress * > *&result) const
| Locate a _Column of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | i_item (const std::string &name, _Array< TYPE > *&result) const
| Locate a _Array of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | i_item (const std::string &name, _Matrix< TYPE > *&result) const
| Locate a _Matrix of data to the N tuple type safe. More...
template<class TYPE >
StatusCode | i_addItem (const std::string &name, long, const std::string &, TYPE low, TYPE high, _Item< TYPE > *&result)
| Add a _Item of data to the N tuple. More...
template<class TYPE >
StatusCode | i_addItem (const std::string &name, long dim, const std::string &index, TYPE low, TYPE high, _Array< TYPE > *&result)
| Add a _Item of data to the N tuple. More...
template<class TYPE >
StatusCode | i_addItem (const std::string &name, long dim1, long dim2, const std::string &index, TYPE low, TYPE high, _Matrix< TYPE > *&result)
| Add a _Item of data to the N tuple. More...
template<class TYPE >
StatusCode | i_addObject (const std::string &name, _Item< TYPE * > *&result, const std::type_info &)

## Detailed Description

Definition at line 18 of file NTupleImplementation.h.

## Constructor & Destructor Documentation

NTuple::TupleImp::TupleImp | ( | const TupleImp & |  | ) |
| private delete

Standard Copy Constructor.

NTuple::TupleImp::TupleImp | ( | std::string | title | ) |

Standard Constructor.

Definition at line 26 of file NTupleImplementation.cpp.

27 : m_title(std::move(title))
28 {
29 }
std::move
T move(T...args)
NTuple::TupleImp::m_title
std::string m_title
N tuple title.
Definition: NTupleImplementation.h:25

NTuple::TupleImp::~TupleImp | ( |  | ) |
| override

Standard Destructor.

Definition at line 32 of file NTupleImplementation.cpp.

32 {
33 for (auto &i : m_items) i->release();
34 }
NTuple::TupleImp::m_items
ItemContainer m_items
Container with N tuple _Columns.
Definition: NTupleImplementation.h:21
ana.i
list i
Definition: ana.py:128

## Member Function Documentation

StatusCode NTuple::TupleImp::add | ( | INTupleItem * | item | ) |
| override virtual

Add an item row to the N tuple.

Implements INTuple.

Definition at line 61 of file NTupleImplementation.cpp.

61 {
62 if ( item ) {
63 INTupleItem* i = i_find(item->name());
64 if ( !i ) {
65 m_items.push_back( item );
66 return StatusCode::SUCCESS;
67 }
68 }
69 return StatusCode::FAILURE;
70 }
NTuple::TupleImp::i_find
INTupleItem * i_find(const std::string &name) const override
Internally used by abstract classes.
Definition: NTupleImplementation.cpp:53
INTupleItem::name
virtual const std::string & name() const =0
Access _Item name.
std::vector::push_back
T push_back(T...args)
INTupleItem
NTuple interface class definition.
Definition: INTuple.h:26
StatusCode::FAILURE
Definition: StatusCode.h:29
StatusCode::SUCCESS
Definition: StatusCode.h:30
NTuple::TupleImp::m_items
ItemContainer m_items
Container with N tuple _Columns.
Definition: NTupleImplementation.h:21
ana.i
list i
Definition: ana.py:128

StatusCode NTuple::TupleImp::attachSelector | ( | ISelectStatement * | sel | ) |
| override virtual

Attach selector.

Implements INTuple.

Definition at line 37 of file NTupleImplementation.cpp.

37 {
38 m_pSelector = sel;
39 return StatusCode::SUCCESS;
40 }
read_lhcb_event_file.sel
tuple sel
Definition: read_lhcb_event_file.py:10
StatusCode::SUCCESS
Definition: StatusCode.h:30
NTuple::TupleImp::m_pSelector
SmartIF< ISelectStatement > m_pSelector
Possibly hanging selector.
Definition: NTupleImplementation.h:27

char* NTuple::TupleImp::buffer | ( |  | ) |
| inline override virtual

Access N tuple data buffer.

Implements INTuple.

Definition at line 67 of file NTupleImplementation.h.

67 {
68 return m_buffer.get();
69 }
NTuple::TupleImp::m_buffer
std::unique_ptr< char[]> m_buffer
Buffer.
Definition: NTupleImplementation.h:29
std::unique_ptr::get
T get(T...args)

const char* NTuple::TupleImp::buffer | ( |  | ) | const
| inline override virtual

Access N tuple data buffer (CONST)

Implements INTuple.

Definition at line 71 of file NTupleImplementation.h.

71 {
72 return m_buffer.get();
73 }
NTuple::TupleImp::m_buffer
std::unique_ptr< char[]> m_buffer
Buffer.
Definition: NTupleImplementation.h:29
std::unique_ptr::get
T get(T...args)

IConversionSvc* NTuple::TupleImp::conversionService | ( |  | ) | const
| inline

Access conversion service.

Definition at line 75 of file NTupleImplementation.h.

75 {
76 return m_cnvSvc;
77 }
NTuple::TupleImp::m_cnvSvc
IConversionSvc * m_cnvSvc
Reference to the conversion service used.
Definition: NTupleImplementation.h:33

const INTupleItem* NTuple::TupleImp::find | ( | const std::string & | name | ) | const
| inline override virtual

Find an item row of the Ntuple (CONST)

Implements INTuple.

Definition at line 59 of file NTupleImplementation.h.

59 {
60 return i_find(name);
61 }
NTuple::TupleImp::i_find
INTupleItem * i_find(const std::string &name) const override
Internally used by abstract classes.
Definition: NTupleImplementation.cpp:53

INTupleItem* NTuple::TupleImp::find | ( | const std::string & | name | ) |
| inline override virtual

Find an item row of the Ntuple.

Implements INTuple.

Definition at line 63 of file NTupleImplementation.h.

63 {
64 return i_find(name);
65 }
NTuple::TupleImp::i_find
INTupleItem * i_find(const std::string &name) const override
Internally used by abstract classes.
Definition: NTupleImplementation.cpp:53

INTupleItem * NTuple::TupleImp::i_find | ( | const std::string & | name | ) | const
| override virtual

Internally used by abstract classes.

Locate a column of data to the N tuple (not type safe)

Implements INTuple.

Definition at line 53 of file NTupleImplementation.cpp.

53 {
54 auto i = std::find_if( std::begin(m_items), std::end(m_items),
55 [&](ItemContainer::const_reference j)
56 { return j->name() == name; } );
57 return i!=std::end(m_items) ? const_cast<INTupleItem*>(*i) : nullptr;
58 }
std::end
T end(T...args)
INTupleItem
NTuple interface class definition.
Definition: INTuple.h:26
std::find_if
T find_if(T...args)
std::begin
T begin(T...args)
NTuple::TupleImp::m_items
ItemContainer m_items
Container with N tuple _Columns.
Definition: NTupleImplementation.h:21
DataObject::name
const std::string & name() const
Retreive DataObject name. It is the name when registered in the store.
Definition: DataObject.cpp:78
ana.i
list i
Definition: ana.py:128

ItemContainer& NTuple::TupleImp::items | ( |  | ) |
| inline override virtual

Access item container.

Implements INTuple.

Definition at line 47 of file NTupleImplementation.h.

47 {
48 return m_items;
49 }
NTuple::TupleImp::m_items
ItemContainer m_items
Container with N tuple _Columns.
Definition: NTupleImplementation.h:21

const ItemContainer& NTuple::TupleImp::items | ( |  | ) | const
| inline override virtual

Access item container (CONST)

Implements INTuple.

Definition at line 51 of file NTupleImplementation.h.

51 {
52 return m_items;
53 }
NTuple::TupleImp::m_items
ItemContainer m_items
Container with N tuple _Columns.
Definition: NTupleImplementation.h:21

StatusCode NTuple::TupleImp::read | ( |  | ) |
| override virtual

Read record of the NTuple (Shortcut of readRecord)

Read record of the NTuple.

Implements INTuple.

Definition at line 105 of file NTupleImplementation.cpp.

105 {
106 return m_ntupleSvc->readRecord(this);
107 }
NTuple::TupleImp::m_ntupleSvc
INTupleSvc * m_ntupleSvc
Reference to N-tuple service used.
Definition: NTupleImplementation.h:31
INTupleSvc::readRecord
virtual StatusCode readRecord(NTuple::Tuple *tuple)=0
Read single record from N tuple.

StatusCode NTuple::TupleImp::readRecord | ( |  | ) |
| override virtual

Read record of the NTuple.

Implements INTuple.

Definition at line 109 of file NTupleImplementation.cpp.

109 {
110 return m_ntupleSvc->readRecord(this);
111 }
NTuple::TupleImp::m_ntupleSvc
INTupleSvc * m_ntupleSvc
Reference to N-tuple service used.
Definition: NTupleImplementation.h:31
INTupleSvc::readRecord
virtual StatusCode readRecord(NTuple::Tuple *tuple)=0
Read single record from N tuple.

StatusCode NTuple::TupleImp::remove | ( | INTupleItem * | item | ) |
| override virtual

Remove an item row (identified by pointer) from the N tuple.

Remove a column from the N-tuple.

Implements INTuple.

Definition at line 79 of file NTupleImplementation.cpp.

79 {
80 auto i = std::find( std::begin(m_items), std::end(m_items), item );
81 if ( i == std::end( m_items) ) return StatusCode::FAILURE;
82 m_items.erase(i);
83 item->release();
84 return StatusCode::SUCCESS;
85 }
std::end
T end(T...args)
StatusCode::FAILURE
Definition: StatusCode.h:29
StatusCode::SUCCESS
Definition: StatusCode.h:30
std::vector::erase
T erase(T...args)
std::find
T find(T...args)
std::begin
T begin(T...args)
NTuple::TupleImp::m_items
ItemContainer m_items
Container with N tuple _Columns.
Definition: NTupleImplementation.h:21
INTupleItem::release
virtual void release()=0
Destruct object.
ana.i
list i
Definition: ana.py:128

StatusCode NTuple::TupleImp::remove | ( | const std::string & | name | ) |
| override virtual

Remove an item row (identified by name) from the N tuple.

Remove a column from the N-tuple.

Implements INTuple.

Definition at line 73 of file NTupleImplementation.cpp.

73 {
74 INTupleItem* i = i_find(name);
75 return i ? remove(i) : StatusCode::FAILURE;
76 }
NTuple::TupleImp::i_find
INTupleItem * i_find(const std::string &name) const override
Internally used by abstract classes.
Definition: NTupleImplementation.cpp:53
INTupleItem
NTuple interface class definition.
Definition: INTuple.h:26
StatusCode::FAILURE
Definition: StatusCode.h:29
ana.i
list i
Definition: ana.py:128

void NTuple::TupleImp::reset | ( |  | ) |
| override virtual

Reset all entries to their default values.

Reset N tuple to default values.

Implements INTuple.

Definition at line 48 of file NTupleImplementation.cpp.

48 {
49 for (auto& i : m_items ) i->reset();
50 }
NTuple::TupleImp::m_items
ItemContainer m_items
Container with N tuple _Columns.
Definition: NTupleImplementation.h:21
ana.i
list i
Definition: ana.py:128

StatusCode NTuple::TupleImp::save | ( |  | ) |
| override virtual

Save the NTuple.

Implements INTuple.

Definition at line 113 of file NTupleImplementation.cpp.

113 {
114 return m_ntupleSvc->save(this);
115 }
NTuple::TupleImp::m_ntupleSvc
INTupleSvc * m_ntupleSvc
Reference to N-tuple service used.
Definition: NTupleImplementation.h:31
INTupleSvc::save
virtual StatusCode save(const std::string &fullPath)=0
Save N tuple to disk.

ISelectStatement * NTuple::TupleImp::selector | ( |  | ) |
| override virtual

Access selector.

Implements INTuple.

Definition at line 43 of file NTupleImplementation.cpp.

43 {
44 return m_pSelector.get();
45 }
SmartIF::get
TYPE * get() const
Get interface pointer.
Definition: SmartIF.h:76
NTuple::TupleImp::m_pSelector
SmartIF< ISelectStatement > m_pSelector
Possibly hanging selector.
Definition: NTupleImplementation.h:27

char * NTuple::TupleImp::setBuffer | ( | std::unique_ptr< char[]> && | buff | ) |
| virtual

Set N tuple data buffer.

Definition at line 87 of file NTupleImplementation.cpp.

87 {
88 m_buffer = std::move(buff);
89 return m_buffer.get();
90 }
NTuple::TupleImp::m_buffer
std::unique_ptr< char[]> m_buffer
Buffer.
Definition: NTupleImplementation.h:29
std::move
T move(T...args)
std::unique_ptr::get
T get(T...args)

char * NTuple::TupleImp::setBuffer | ( | char * | buff | ) |
| override virtual

Set N tuple data buffer.

Implements INTuple.

Definition at line 92 of file NTupleImplementation.cpp.

92 {
93 m_buffer.reset( buff );
94 return m_buffer.get();
95 }
NTuple::TupleImp::m_buffer
std::unique_ptr< char[]> m_buffer
Buffer.
Definition: NTupleImplementation.h:29
std::unique_ptr::reset
T reset(T...args)
std::unique_ptr::get
T get(T...args)

void NTuple::TupleImp::setConversionService | ( | IConversionSvc * | svc | ) |
| inline

Access conversion service.

Definition at line 79 of file NTupleImplementation.h.

79 {
80 m_cnvSvc = svc;
81 }
NTuple::TupleImp::m_cnvSvc
IConversionSvc * m_cnvSvc
Reference to the conversion service used.
Definition: NTupleImplementation.h:33

void NTuple::TupleImp::setTupleService | ( | INTupleSvc * | svc | ) |
| inline

Access conversion service.

Definition at line 87 of file NTupleImplementation.h.

87 {
88 m_ntupleSvc = svc;
89 }
NTuple::TupleImp::m_ntupleSvc
INTupleSvc * m_ntupleSvc
Reference to N-tuple service used.
Definition: NTupleImplementation.h:31

const std::string& NTuple::TupleImp::title | ( |  | ) | const
| inline override virtual

Object title.

Implements INTuple.

Definition at line 55 of file NTupleImplementation.h.

55 {
56 return m_title;
57 }
NTuple::TupleImp::m_title
std::string m_title
N tuple title.
Definition: NTupleImplementation.h:25

INTupleSvc* NTuple::TupleImp::tupleService | ( |  | ) | const
| inline

Access conversion service.

Definition at line 83 of file NTupleImplementation.h.

83 {
84 return m_ntupleSvc;
85 }
NTuple::TupleImp::m_ntupleSvc
INTupleSvc * m_ntupleSvc
Reference to N-tuple service used.
Definition: NTupleImplementation.h:31

StatusCode NTuple::TupleImp::write | ( |  | ) |
| override virtual

Write record of the NTuple (Shortcut of writeRecord)

Write record of the NTuple.

Implements INTuple.

Definition at line 97 of file NTupleImplementation.cpp.

97 {
98 return m_ntupleSvc->writeRecord(this);
99 }
NTuple::TupleImp::m_ntupleSvc
INTupleSvc * m_ntupleSvc
Reference to N-tuple service used.
Definition: NTupleImplementation.h:31
INTupleSvc::writeRecord
virtual StatusCode writeRecord(NTuple::Tuple *tuple)=0
Write single record to N tuple.

StatusCode NTuple::TupleImp::writeRecord | ( |  | ) |
| override virtual

Write record of the NTuple.

Implements INTuple.

Definition at line 101 of file NTupleImplementation.cpp.

101 {
102 return m_ntupleSvc->writeRecord(this);
103 }
NTuple::TupleImp::m_ntupleSvc
INTupleSvc * m_ntupleSvc
Reference to N-tuple service used.
Definition: NTupleImplementation.h:31
INTupleSvc::writeRecord
virtual StatusCode writeRecord(NTuple::Tuple *tuple)=0
Write single record to N tuple.

## Member Data Documentation

std::unique_ptr<char[]> NTuple::TupleImp::m_buffer
| protected

Buffer.

Definition at line 29 of file NTupleImplementation.h.

IConversionSvc* NTuple::TupleImp::m_cnvSvc = nullptr
| protected

Reference to the conversion service used.

Definition at line 33 of file NTupleImplementation.h.

bool NTuple::TupleImp::m_isBooked = false
| protected

Flag wether N tuple is booked.

Definition at line 23 of file NTupleImplementation.h.

ItemContainer NTuple::TupleImp::m_items
| protected

Container with N tuple _Columns.

Definition at line 21 of file NTupleImplementation.h.

INTupleSvc* NTuple::TupleImp::m_ntupleSvc = nullptr
| protected

Reference to N-tuple service used.

Definition at line 31 of file NTupleImplementation.h.

SmartIF<ISelectStatement> NTuple::TupleImp::m_pSelector
| protected

Possibly hanging selector.

Definition at line 27 of file NTupleImplementation.h.

std::string NTuple::TupleImp::m_title
| protected

N tuple title.

Definition at line 25 of file NTupleImplementation.h.

The documentation for this class was generated from the following files:

- GaudiKernel/GaudiKernel/NTupleImplementation.h
- GaudiKernel/src/Lib/NTupleImplementation.cpp